Subject: Re: bug#51382: 29.0.50; org-offer-links-in-entry is incompatible with native-compile

From: Caleb Chase <[email-masked]>
Date: Tue, 13 Sep 2022 11:27:01 -0500

On Tue, Sep 13, 2022 at 11:05 AM Lars Ingebrigtsen <[email-masked]> wrote:
>
> Caleb Chase <[email-masked]> writes:
>
> > Here's a trivial reproduction:
> >
> > 1. Create an org file, e.g. /tmp/test.org. See end of this message for
> > an example, but essentially any org file with a heading that contains
> > multiple links somewhere within its contents.
> > 2. Ensure that org.el is natively compiled
> > 3. Run "emacs -Q"
> > 4. "C-x C-f" to open the test file
> > 5. Move point to beginning of the header
> > 6. "C-c C-o 2" to open the second link
> > 7. Bug occurs: first link is opened regardless of choice in the previous step
>
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
>
> I'm unable to reproduce this problem with the current "master", but I
> only tested on Ubuntu.  Do you still see this problem, Caleb?

Hi, sorry about that and thanks for the follow-up. I just tested and
agree that it's fixed.